phrSetLogStringsOn {phreeqc} | R Documentation

## Set log strings on/off.

### Description

Sets the log strings switch on or off. This switch controls whether or not the data normally sent to the log file are stored in a buffer for retrieval. The initial setting is off.

### Usage

    phrSetLogStringsOn(value)

### Arguments

`value` | if TRUE, captures output normally sent to the log file into a buffer.

### References

ftp://brrftp.cr.usgs.gov/pub/charlton/iphreeqc/IPhreeqc.pdf

### See Also

Other Log: `phrGetLogFileName`, `phrGetLogFileOn`, `phrGetLogStringsOn`, `phrGetLogStrings`, `phrSetLogFileName`, `phrSetLogFileOn`

### Examples

    # This example runs ex2 with log strings turned on.
    phrLoadDatabaseString(phreeqc.dat)
    phrSetLogStringsOn(TRUE)

    # turn logging on
    phrAccumulateLine("KNOBS; -logfile true")
    phrRunAccumulated()

    if (is.null(phrRunString(ex2))) {
      cat(phrGetLogStrings(), sep = "\n")
    }

[Package phreeqc version 3.4.10 Index]